I read somewhere that the current fglrx driver does not support the 9500 series, but is planned for 9.2. The release notes include those models.

Is this the reason that it won't work with my card?